package public

import (
	dsmodel "dorisbot/database/models/discord"
	pubmodel "dorisbot/database/models/public"
)

// FacebookDAO -
type FacebookDAO interface {
	Create(fb *pubmodel.FacebookPage) error
	UpdatePost(fb *pubmodel.FacebookPage, postID string) error
	GetByID(id string) (pubmodel.FacebookPage, bool, error)
	GetAll() ([]pubmodel.FacebookPage, error)
	Delete(id string) error
	GetChannels(id string) ([]dsmodel.Channel, error)
}
