package public

import (
	dsmodel "dorisbot/database/models/discord"
	pubmodel "dorisbot/database/models/public"
)

// InstagramDAO -
type InstagramDAO interface {
	Create(ig *pubmodel.Instagram) error
	UpdatePost(ig *pubmodel.Instagram, postID string) error
	GetByID(id string) (pubmodel.Instagram, bool, error)
	GetAll() ([]pubmodel.Instagram, error)
	Delete(id string) error
	GetChannels(id string) ([]dsmodel.Channel, error)
}
